@leaflow/sdk 0.186.0 → 0.187.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (274) hide show
  1. package/README.md +15 -0
  2. package/dist/fleet/v1/generated/functions.d.ts +1710 -0
  3. package/dist/fleet/v1/generated/functions.js +1655 -0
  4. package/dist/fleet/v1/generated/models.d.ts +1534 -0
  5. package/dist/fleet/v1/generated/models.js +97 -0
  6. package/dist/fleet/v1/generated/schemas.zod.d.ts +1172 -0
  7. package/dist/fleet/v1/generated/schemas.zod.js +1291 -0
  8. package/dist/fleet/v1/generated/validators/accountList.zod.d.ts +250 -0
  9. package/dist/fleet/v1/generated/validators/accountList.zod.js +234 -0
  10. package/dist/fleet/v1/generated/validators/accountResource.zod.d.ts +244 -0
  11. package/dist/fleet/v1/generated/validators/accountResource.zod.js +242 -0
  12. package/dist/fleet/v1/generated/validators/approveEnrollmentRequest.zod.d.ts +232 -0
  13. package/dist/fleet/v1/generated/validators/approveEnrollmentRequest.zod.js +234 -0
  14. package/dist/fleet/v1/generated/validators/callMcpToolRequest.zod.d.ts +234 -0
  15. package/dist/fleet/v1/generated/validators/callMcpToolRequest.zod.js +240 -0
  16. package/dist/fleet/v1/generated/validators/callMcpToolResponse.zod.d.ts +231 -0
  17. package/dist/fleet/v1/generated/validators/callMcpToolResponse.zod.js +231 -0
  18. package/dist/fleet/v1/generated/validators/createGroupMemberRequest.zod.d.ts +231 -0
  19. package/dist/fleet/v1/generated/validators/createGroupMemberRequest.zod.js +229 -0
  20. package/dist/fleet/v1/generated/validators/createGroupRequest.zod.d.ts +231 -0
  21. package/dist/fleet/v1/generated/validators/createGroupRequest.zod.js +230 -0
  22. package/dist/fleet/v1/generated/validators/createMachineRegistrationRequest.zod.d.ts +236 -0
  23. package/dist/fleet/v1/generated/validators/createMachineRegistrationRequest.zod.js +243 -0
  24. package/dist/fleet/v1/generated/validators/createMachineRegistrationResponse.zod.d.ts +247 -0
  25. package/dist/fleet/v1/generated/validators/createMachineRegistrationResponse.zod.js +233 -0
  26. package/dist/fleet/v1/generated/validators/createParticipantRequest.zod.d.ts +248 -0
  27. package/dist/fleet/v1/generated/validators/createParticipantRequest.zod.js +261 -0
  28. package/dist/fleet/v1/generated/validators/createParticipantResponse.zod.d.ts +277 -0
  29. package/dist/fleet/v1/generated/validators/createParticipantResponse.zod.js +241 -0
  30. package/dist/fleet/v1/generated/validators/createPeerConnectionCandidatesRequest.zod.d.ts +236 -0
  31. package/dist/fleet/v1/generated/validators/createPeerConnectionCandidatesRequest.zod.js +238 -0
  32. package/dist/fleet/v1/generated/validators/createPeerConnectionRequest.zod.d.ts +232 -0
  33. package/dist/fleet/v1/generated/validators/createPeerConnectionRequest.zod.js +233 -0
  34. package/dist/fleet/v1/generated/validators/createSessionRequest.zod.d.ts +240 -0
  35. package/dist/fleet/v1/generated/validators/createSessionRequest.zod.js +231 -0
  36. package/dist/fleet/v1/generated/validators/cursorPagination.zod.d.ts +232 -0
  37. package/dist/fleet/v1/generated/validators/cursorPagination.zod.js +232 -0
  38. package/dist/fleet/v1/generated/validators/deleteMcpServerParams.zod.d.ts +232 -0
  39. package/dist/fleet/v1/generated/validators/deleteMcpServerParams.zod.js +230 -0
  40. package/dist/fleet/v1/generated/validators/desktopOptions.zod.d.ts +242 -0
  41. package/dist/fleet/v1/generated/validators/desktopOptions.zod.js +254 -0
  42. package/dist/fleet/v1/generated/validators/desktopState.zod.d.ts +235 -0
  43. package/dist/fleet/v1/generated/validators/desktopState.zod.js +231 -0
  44. package/dist/fleet/v1/generated/validators/directoryName.zod.d.ts +231 -0
  45. package/dist/fleet/v1/generated/validators/directoryName.zod.js +234 -0
  46. package/dist/fleet/v1/generated/validators/enrollmentResource.zod.d.ts +243 -0
  47. package/dist/fleet/v1/generated/validators/enrollmentResource.zod.js +241 -0
  48. package/dist/fleet/v1/generated/validators/enrollmentState.zod.d.ts +233 -0
  49. package/dist/fleet/v1/generated/validators/enrollmentState.zod.js +229 -0
  50. package/dist/fleet/v1/generated/validators/error.zod.d.ts +243 -0
  51. package/dist/fleet/v1/generated/validators/error.zod.js +232 -0
  52. package/dist/fleet/v1/generated/validators/errorStatus.zod.d.ts +241 -0
  53. package/dist/fleet/v1/generated/validators/errorStatus.zod.js +256 -0
  54. package/dist/fleet/v1/generated/validators/featureState.zod.d.ts +232 -0
  55. package/dist/fleet/v1/generated/validators/featureState.zod.js +229 -0
  56. package/dist/fleet/v1/generated/validators/fieldViolation.zod.d.ts +232 -0
  57. package/dist/fleet/v1/generated/validators/fieldViolation.zod.js +235 -0
  58. package/dist/fleet/v1/generated/validators/findEnrollmentByPairingCodeParams.zod.d.ts +232 -0
  59. package/dist/fleet/v1/generated/validators/findEnrollmentByPairingCodeParams.zod.js +230 -0
  60. package/dist/fleet/v1/generated/validators/findEnrollmentResponse.zod.d.ts +245 -0
  61. package/dist/fleet/v1/generated/validators/findEnrollmentResponse.zod.js +232 -0
  62. package/dist/fleet/v1/generated/validators/groupList.zod.d.ts +242 -0
  63. package/dist/fleet/v1/generated/validators/groupList.zod.js +234 -0
  64. package/dist/fleet/v1/generated/validators/groupResource.zod.d.ts +237 -0
  65. package/dist/fleet/v1/generated/validators/groupResource.zod.js +235 -0
  66. package/dist/fleet/v1/generated/validators/iceCandidate.zod.d.ts +234 -0
  67. package/dist/fleet/v1/generated/validators/iceCandidate.zod.js +241 -0
  68. package/dist/fleet/v1/generated/validators/iceServer.zod.d.ts +233 -0
  69. package/dist/fleet/v1/generated/validators/iceServer.zod.js +236 -0
  70. package/dist/fleet/v1/generated/validators/listAccountsParams.zod.d.ts +239 -0
  71. package/dist/fleet/v1/generated/validators/listAccountsParams.zod.js +241 -0
  72. package/dist/fleet/v1/generated/validators/listGroupMembersParams.zod.d.ts +236 -0
  73. package/dist/fleet/v1/generated/validators/listGroupMembersParams.zod.js +242 -0
  74. package/dist/fleet/v1/generated/validators/listGroupsParams.zod.d.ts +236 -0
  75. package/dist/fleet/v1/generated/validators/listGroupsParams.zod.js +238 -0
  76. package/dist/fleet/v1/generated/validators/listMachineEventsParams.zod.d.ts +240 -0
  77. package/dist/fleet/v1/generated/validators/listMachineEventsParams.zod.js +244 -0
  78. package/dist/fleet/v1/generated/validators/listMachineRegistrationsParams.zod.d.ts +236 -0
  79. package/dist/fleet/v1/generated/validators/listMachineRegistrationsParams.zod.js +242 -0
  80. package/dist/fleet/v1/generated/validators/listMachinesParams.zod.d.ts +238 -0
  81. package/dist/fleet/v1/generated/validators/listMachinesParams.zod.js +240 -0
  82. package/dist/fleet/v1/generated/validators/listMcpToolsParams.zod.d.ts +239 -0
  83. package/dist/fleet/v1/generated/validators/listMcpToolsParams.zod.js +241 -0
  84. package/dist/fleet/v1/generated/validators/listPrivilegeAutoApprovalsParams.zod.d.ts +236 -0
  85. package/dist/fleet/v1/generated/validators/listPrivilegeAutoApprovalsParams.zod.js +242 -0
  86. package/dist/fleet/v1/generated/validators/listPrivilegeRequestsParams.zod.d.ts +244 -0
  87. package/dist/fleet/v1/generated/validators/listPrivilegeRequestsParams.zod.js +245 -0
  88. package/dist/fleet/v1/generated/validators/listSessionsParams.zod.d.ts +240 -0
  89. package/dist/fleet/v1/generated/validators/listSessionsParams.zod.js +242 -0
  90. package/dist/fleet/v1/generated/validators/machineEventList.zod.d.ts +244 -0
  91. package/dist/fleet/v1/generated/validators/machineEventList.zod.js +234 -0
  92. package/dist/fleet/v1/generated/validators/machineEventResource.zod.d.ts +238 -0
  93. package/dist/fleet/v1/generated/validators/machineEventResource.zod.js +238 -0
  94. package/dist/fleet/v1/generated/validators/machineEventType.zod.d.ts +232 -0
  95. package/dist/fleet/v1/generated/validators/machineEventType.zod.js +229 -0
  96. package/dist/fleet/v1/generated/validators/machineFeature.zod.d.ts +237 -0
  97. package/dist/fleet/v1/generated/validators/machineFeature.zod.js +239 -0
  98. package/dist/fleet/v1/generated/validators/machineList.zod.d.ts +261 -0
  99. package/dist/fleet/v1/generated/validators/machineList.zod.js +234 -0
  100. package/dist/fleet/v1/generated/validators/machineRegistrationList.zod.d.ts +250 -0
  101. package/dist/fleet/v1/generated/validators/machineRegistrationList.zod.js +234 -0
  102. package/dist/fleet/v1/generated/validators/machineRegistrationResource.zod.d.ts +244 -0
  103. package/dist/fleet/v1/generated/validators/machineRegistrationResource.zod.js +249 -0
  104. package/dist/fleet/v1/generated/validators/machineRegistrationState.zod.d.ts +234 -0
  105. package/dist/fleet/v1/generated/validators/machineRegistrationState.zod.js +229 -0
  106. package/dist/fleet/v1/generated/validators/machineResource.zod.d.ts +256 -0
  107. package/dist/fleet/v1/generated/validators/machineResource.zod.js +257 -0
  108. package/dist/fleet/v1/generated/validators/mcpConfigurationFile.zod.d.ts +240 -0
  109. package/dist/fleet/v1/generated/validators/mcpConfigurationFile.zod.js +246 -0
  110. package/dist/fleet/v1/generated/validators/mcpConfigurationResource.zod.d.ts +279 -0
  111. package/dist/fleet/v1/generated/validators/mcpConfigurationResource.zod.js +232 -0
  112. package/dist/fleet/v1/generated/validators/mcpImplementation.zod.d.ts +233 -0
  113. package/dist/fleet/v1/generated/validators/mcpImplementation.zod.js +231 -0
  114. package/dist/fleet/v1/generated/validators/mcpServerFailure.zod.d.ts +237 -0
  115. package/dist/fleet/v1/generated/validators/mcpServerFailure.zod.js +237 -0
  116. package/dist/fleet/v1/generated/validators/mcpServerResource.zod.d.ts +265 -0
  117. package/dist/fleet/v1/generated/validators/mcpServerResource.zod.js +256 -0
  118. package/dist/fleet/v1/generated/validators/mcpToolList.zod.d.ts +252 -0
  119. package/dist/fleet/v1/generated/validators/mcpToolList.zod.js +235 -0
  120. package/dist/fleet/v1/generated/validators/mcpToolResource.zod.d.ts +237 -0
  121. package/dist/fleet/v1/generated/validators/mcpToolResource.zod.js +243 -0
  122. package/dist/fleet/v1/generated/validators/mcpTransport.zod.d.ts +233 -0
  123. package/dist/fleet/v1/generated/validators/mcpTransport.zod.js +229 -0
  124. package/dist/fleet/v1/generated/validators/mcpUnavailableServer.zod.d.ts +240 -0
  125. package/dist/fleet/v1/generated/validators/mcpUnavailableServer.zod.js +231 -0
  126. package/dist/fleet/v1/generated/validators/migrationStep.zod.d.ts +232 -0
  127. package/dist/fleet/v1/generated/validators/migrationStep.zod.js +233 -0
  128. package/dist/fleet/v1/generated/validators/namedIdentity.zod.d.ts +233 -0
  129. package/dist/fleet/v1/generated/validators/namedIdentity.zod.js +233 -0
  130. package/dist/fleet/v1/generated/validators/offsetPagination.zod.d.ts +234 -0
  131. package/dist/fleet/v1/generated/validators/offsetPagination.zod.js +234 -0
  132. package/dist/fleet/v1/generated/validators/operatingSystem.zod.d.ts +233 -0
  133. package/dist/fleet/v1/generated/validators/operatingSystem.zod.js +233 -0
  134. package/dist/fleet/v1/generated/validators/participantList.zod.d.ts +242 -0
  135. package/dist/fleet/v1/generated/validators/participantList.zod.js +230 -0
  136. package/dist/fleet/v1/generated/validators/participantResource.zod.d.ts +240 -0
  137. package/dist/fleet/v1/generated/validators/participantResource.zod.js +242 -0
  138. package/dist/fleet/v1/generated/validators/peerConnection.zod.d.ts +241 -0
  139. package/dist/fleet/v1/generated/validators/peerConnection.zod.js +242 -0
  140. package/dist/fleet/v1/generated/validators/privilegeAutoApprovalList.zod.d.ts +241 -0
  141. package/dist/fleet/v1/generated/validators/privilegeAutoApprovalList.zod.js +234 -0
  142. package/dist/fleet/v1/generated/validators/privilegeAutoApprovalResource.zod.d.ts +235 -0
  143. package/dist/fleet/v1/generated/validators/privilegeAutoApprovalResource.zod.js +236 -0
  144. package/dist/fleet/v1/generated/validators/privilegeDecider.zod.d.ts +232 -0
  145. package/dist/fleet/v1/generated/validators/privilegeDecider.zod.js +229 -0
  146. package/dist/fleet/v1/generated/validators/privilegeRequestList.zod.d.ts +258 -0
  147. package/dist/fleet/v1/generated/validators/privilegeRequestList.zod.js +234 -0
  148. package/dist/fleet/v1/generated/validators/privilegeRequestResource.zod.d.ts +253 -0
  149. package/dist/fleet/v1/generated/validators/privilegeRequestResource.zod.js +255 -0
  150. package/dist/fleet/v1/generated/validators/privilegeRequestState.zod.d.ts +235 -0
  151. package/dist/fleet/v1/generated/validators/privilegeRequestState.zod.js +229 -0
  152. package/dist/fleet/v1/generated/validators/publicKey.zod.d.ts +230 -0
  153. package/dist/fleet/v1/generated/validators/publicKey.zod.js +231 -0
  154. package/dist/fleet/v1/generated/validators/renewParticipantRequest.zod.d.ts +236 -0
  155. package/dist/fleet/v1/generated/validators/renewParticipantRequest.zod.js +235 -0
  156. package/dist/fleet/v1/generated/validators/renewParticipantResponse.zod.d.ts +257 -0
  157. package/dist/fleet/v1/generated/validators/renewParticipantResponse.zod.js +238 -0
  158. package/dist/fleet/v1/generated/validators/replaceMcpConfigurationRequest.zod.d.ts +233 -0
  159. package/dist/fleet/v1/generated/validators/replaceMcpConfigurationRequest.zod.js +237 -0
  160. package/dist/fleet/v1/generated/validators/rtcConfiguration.zod.d.ts +240 -0
  161. package/dist/fleet/v1/generated/validators/rtcConfiguration.zod.js +236 -0
  162. package/dist/fleet/v1/generated/validators/runCommandRequest.zod.d.ts +235 -0
  163. package/dist/fleet/v1/generated/validators/runCommandRequest.zod.js +242 -0
  164. package/dist/fleet/v1/generated/validators/runCommandResponse.zod.d.ts +237 -0
  165. package/dist/fleet/v1/generated/validators/runCommandResponse.zod.js +245 -0
  166. package/dist/fleet/v1/generated/validators/sendMcpRequestRequest.zod.d.ts +234 -0
  167. package/dist/fleet/v1/generated/validators/sendMcpRequestRequest.zod.js +239 -0
  168. package/dist/fleet/v1/generated/validators/sendMcpRequestResponse.zod.d.ts +231 -0
  169. package/dist/fleet/v1/generated/validators/sendMcpRequestResponse.zod.js +231 -0
  170. package/dist/fleet/v1/generated/validators/sessionCloseReason.zod.d.ts +242 -0
  171. package/dist/fleet/v1/generated/validators/sessionCloseReason.zod.js +242 -0
  172. package/dist/fleet/v1/generated/validators/sessionList.zod.d.ts +274 -0
  173. package/dist/fleet/v1/generated/validators/sessionList.zod.js +234 -0
  174. package/dist/fleet/v1/generated/validators/sessionMode.zod.d.ts +232 -0
  175. package/dist/fleet/v1/generated/validators/sessionMode.zod.js +229 -0
  176. package/dist/fleet/v1/generated/validators/sessionResource.zod.d.ts +268 -0
  177. package/dist/fleet/v1/generated/validators/sessionResource.zod.js +254 -0
  178. package/dist/fleet/v1/generated/validators/sessionState.zod.d.ts +234 -0
  179. package/dist/fleet/v1/generated/validators/sessionState.zod.js +229 -0
  180. package/dist/fleet/v1/generated/validators/signedMessage.zod.d.ts +233 -0
  181. package/dist/fleet/v1/generated/validators/signedMessage.zod.js +235 -0
  182. package/dist/fleet/v1/generated/validators/signingKey.zod.d.ts +232 -0
  183. package/dist/fleet/v1/generated/validators/signingKey.zod.js +233 -0
  184. package/dist/fleet/v1/generated/validators/updateAccountRequest.zod.d.ts +235 -0
  185. package/dist/fleet/v1/generated/validators/updateAccountRequest.zod.js +240 -0
  186. package/dist/fleet/v1/generated/validators/updateGroupRequest.zod.d.ts +231 -0
  187. package/dist/fleet/v1/generated/validators/updateGroupRequest.zod.js +230 -0
  188. package/dist/fleet/v1/generated/validators/updateMachineRequest.zod.d.ts +232 -0
  189. package/dist/fleet/v1/generated/validators/updateMachineRequest.zod.js +230 -0
  190. package/dist/fleet/v1/generated/validators/updateMcpServerRequest.zod.d.ts +254 -0
  191. package/dist/fleet/v1/generated/validators/updateMcpServerRequest.zod.js +282 -0
  192. package/dist/fleet/v1/generated/validators/updateMcpServerResponse.zod.d.ts +279 -0
  193. package/dist/fleet/v1/generated/validators/updateMcpServerResponse.zod.js +232 -0
  194. package/dist/fleet/v1/generated/validators/updatePrivilegeAutoApprovalRequest.zod.d.ts +231 -0
  195. package/dist/fleet/v1/generated/validators/updatePrivilegeAutoApprovalRequest.zod.js +232 -0
  196. package/dist/fleet/v1/index.d.ts +3 -0
  197. package/dist/fleet/v1/index.js +3 -0
  198. package/dist/index.d.ts +1 -0
  199. package/dist/index.js +1 -0
  200. package/dist/proto/google/rpc/status_pb.d.ts +48 -0
  201. package/dist/proto/google/rpc/status_pb.js +24 -0
  202. package/dist/proto/leaflow/fleet/audio/v1/audio_pb.d.ts +262 -0
  203. package/dist/proto/leaflow/fleet/audio/v1/audio_pb.js +51 -0
  204. package/dist/proto/leaflow/fleet/camera/v1/camera_pb.d.ts +265 -0
  205. package/dist/proto/leaflow/fleet/camera/v1/camera_pb.js +70 -0
  206. package/dist/proto/leaflow/fleet/command/v1/command_pb.d.ts +158 -0
  207. package/dist/proto/leaflow/fleet/command/v1/command_pb.js +25 -0
  208. package/dist/proto/leaflow/fleet/control/v1/control_pb.d.ts +1226 -0
  209. package/dist/proto/leaflow/fleet/control/v1/control_pb.js +354 -0
  210. package/dist/proto/leaflow/fleet/device/v1/device_pb.d.ts +422 -0
  211. package/dist/proto/leaflow/fleet/device/v1/device_pb.js +183 -0
  212. package/dist/proto/leaflow/fleet/directory/v1/directory_pb.d.ts +429 -0
  213. package/dist/proto/leaflow/fleet/directory/v1/directory_pb.js +78 -0
  214. package/dist/proto/leaflow/fleet/exec/v1/exec_pb.d.ts +287 -0
  215. package/dist/proto/leaflow/fleet/exec/v1/exec_pb.js +78 -0
  216. package/dist/proto/leaflow/fleet/filetransfer/v1/filetransfer_pb.d.ts +731 -0
  217. package/dist/proto/leaflow/fleet/filetransfer/v1/filetransfer_pb.js +163 -0
  218. package/dist/proto/leaflow/fleet/gamepad/v1/gamepad_pb.d.ts +347 -0
  219. package/dist/proto/leaflow/fleet/gamepad/v1/gamepad_pb.js +124 -0
  220. package/dist/proto/leaflow/fleet/host/v1/host_pb.d.ts +619 -0
  221. package/dist/proto/leaflow/fleet/host/v1/host_pb.js +206 -0
  222. package/dist/proto/leaflow/fleet/logs/v1/logs_pb.d.ts +293 -0
  223. package/dist/proto/leaflow/fleet/logs/v1/logs_pb.js +90 -0
  224. package/dist/proto/leaflow/fleet/machine/v1/machine_pb.d.ts +448 -0
  225. package/dist/proto/leaflow/fleet/machine/v1/machine_pb.js +157 -0
  226. package/dist/proto/leaflow/fleet/mcp/v1/mcp_pb.d.ts +891 -0
  227. package/dist/proto/leaflow/fleet/mcp/v1/mcp_pb.js +306 -0
  228. package/dist/proto/leaflow/fleet/portforward/v1/portforward_pb.d.ts +688 -0
  229. package/dist/proto/leaflow/fleet/portforward/v1/portforward_pb.js +209 -0
  230. package/dist/proto/leaflow/fleet/printing/v1/printing_pb.d.ts +741 -0
  231. package/dist/proto/leaflow/fleet/printing/v1/printing_pb.js +260 -0
  232. package/dist/proto/leaflow/fleet/privilege/v1/privilege_pb.d.ts +569 -0
  233. package/dist/proto/leaflow/fleet/privilege/v1/privilege_pb.js +168 -0
  234. package/dist/proto/leaflow/fleet/rpc/v1/rpc_pb.d.ts +234 -0
  235. package/dist/proto/leaflow/fleet/rpc/v1/rpc_pb.js +70 -0
  236. package/dist/proto/leaflow/fleet/session/v1/session_pb.d.ts +411 -0
  237. package/dist/proto/leaflow/fleet/session/v1/session_pb.js +130 -0
  238. package/dist/proto/leaflow/fleet/sshagent/v1/sshagent_pb.d.ts +163 -0
  239. package/dist/proto/leaflow/fleet/sshagent/v1/sshagent_pb.js +64 -0
  240. package/dist/proto/leaflow/fleet/terminal/v1/terminal_pb.d.ts +297 -0
  241. package/dist/proto/leaflow/fleet/terminal/v1/terminal_pb.js +54 -0
  242. package/dist/proto/leaflow/fleet/transport/v1/transport_pb.d.ts +1055 -0
  243. package/dist/proto/leaflow/fleet/transport/v1/transport_pb.js +251 -0
  244. package/dist/proto/leaflow/fleet/virtualdesktop/accessibility/v1/accessibility_pb.d.ts +1298 -0
  245. package/dist/proto/leaflow/fleet/virtualdesktop/accessibility/v1/accessibility_pb.js +437 -0
  246. package/dist/proto/leaflow/fleet/virtualdesktop/application/v1/application_pb.d.ts +888 -0
  247. package/dist/proto/leaflow/fleet/virtualdesktop/application/v1/application_pb.js +210 -0
  248. package/dist/proto/leaflow/fleet/virtualdesktop/capture/v1/capture_pb.d.ts +231 -0
  249. package/dist/proto/leaflow/fleet/virtualdesktop/capture/v1/capture_pb.js +63 -0
  250. package/dist/proto/leaflow/fleet/virtualdesktop/change/v1/change_pb.d.ts +965 -0
  251. package/dist/proto/leaflow/fleet/virtualdesktop/change/v1/change_pb.js +239 -0
  252. package/dist/proto/leaflow/fleet/virtualdesktop/cursor/v1/cursor_pb.d.ts +201 -0
  253. package/dist/proto/leaflow/fleet/virtualdesktop/cursor/v1/cursor_pb.js +34 -0
  254. package/dist/proto/leaflow/fleet/virtualdesktop/datatransfer/v1/datatransfer_pb.d.ts +1489 -0
  255. package/dist/proto/leaflow/fleet/virtualdesktop/datatransfer/v1/datatransfer_pb.js +256 -0
  256. package/dist/proto/leaflow/fleet/virtualdesktop/display/v1/display_pb.d.ts +380 -0
  257. package/dist/proto/leaflow/fleet/virtualdesktop/display/v1/display_pb.js +89 -0
  258. package/dist/proto/leaflow/fleet/virtualdesktop/draw/v1/draw_pb.d.ts +587 -0
  259. package/dist/proto/leaflow/fleet/virtualdesktop/draw/v1/draw_pb.js +139 -0
  260. package/dist/proto/leaflow/fleet/virtualdesktop/host/v1/host_pb.d.ts +69 -0
  261. package/dist/proto/leaflow/fleet/virtualdesktop/host/v1/host_pb.js +19 -0
  262. package/dist/proto/leaflow/fleet/virtualdesktop/input/v1/input_pb.d.ts +1463 -0
  263. package/dist/proto/leaflow/fleet/virtualdesktop/input/v1/input_pb.js +321 -0
  264. package/dist/proto/leaflow/fleet/virtualdesktop/lease/v1/lease_pb.d.ts +93 -0
  265. package/dist/proto/leaflow/fleet/virtualdesktop/lease/v1/lease_pb.js +24 -0
  266. package/dist/proto/leaflow/fleet/virtualdesktop/notification/v1/notification_pb.d.ts +414 -0
  267. package/dist/proto/leaflow/fleet/virtualdesktop/notification/v1/notification_pb.js +137 -0
  268. package/dist/proto/leaflow/fleet/virtualdesktop/tray/v1/tray_pb.d.ts +928 -0
  269. package/dist/proto/leaflow/fleet/virtualdesktop/tray/v1/tray_pb.js +413 -0
  270. package/dist/proto/leaflow/fleet/virtualdesktop/window/v1/window_pb.d.ts +1559 -0
  271. package/dist/proto/leaflow/fleet/virtualdesktop/window/v1/window_pb.js +664 -0
  272. package/dist/routes.d.ts +440 -0
  273. package/dist/routes.js +495 -0
  274. package/package.json +11 -3
@@ -0,0 +1,1055 @@
1
+ import type { GenEnum, GenFile, GenMessage } from "@bufbuild/protobuf/codegenv2";
2
+ import type { Timestamp } from "@bufbuild/protobuf/wkt";
3
+ import type { Status } from "../../../../google/rpc/status_pb.js";
4
+ import type { Message } from "@bufbuild/protobuf";
5
+ /**
6
+ * Describes the file leaflow/fleet/transport/v1/transport.proto.
7
+ */
8
+ export declare const file_leaflow_fleet_transport_v1_transport: GenFile;
9
+ /**
10
+ * Exactly one message of a data channel.
11
+ *
12
+ * @generated from message leaflow.fleet.transport.v1.Packet
13
+ */
14
+ export type Packet = Message<"leaflow.fleet.transport.v1.Packet"> & {
15
+ /**
16
+ * The packet.
17
+ *
18
+ * @generated from oneof leaflow.fleet.transport.v1.Packet.packet
19
+ */
20
+ packet: {
21
+ /**
22
+ * Proof of identity and the limits of the sender. On "binding" only.
23
+ *
24
+ * @generated from field: leaflow.fleet.transport.v1.Hello hello = 1;
25
+ */
26
+ value: Hello;
27
+ case: "hello";
28
+ } | {
29
+ /**
30
+ * One step of a logical channel. On the lane of that channel.
31
+ *
32
+ * @generated from field: leaflow.fleet.transport.v1.Envelope envelope = 2;
33
+ */
34
+ value: Envelope;
35
+ case: "envelope";
36
+ } | {
37
+ /**
38
+ * One unreliable message. On "realtime" only.
39
+ *
40
+ * @generated from field: leaflow.fleet.transport.v1.Datagram datagram = 3;
41
+ */
42
+ value: Datagram;
43
+ case: "datagram";
44
+ } | {
45
+ /**
46
+ * What the sender has admitted so far. On "binding" only, after both
47
+ * Hellos verified.
48
+ *
49
+ * @generated from field: leaflow.fleet.transport.v1.Checkpoint receipt = 4;
50
+ */
51
+ value: Checkpoint;
52
+ case: "receipt";
53
+ } | {
54
+ /**
55
+ * Why the sender is about to close the PeerConnection. On "binding".
56
+ *
57
+ * @generated from field: leaflow.fleet.transport.v1.Close close = 5;
58
+ */
59
+ value: Close;
60
+ case: "close";
61
+ } | {
62
+ /**
63
+ * A renewed PeerAuthorization of this PeerConnection that the participant
64
+ * received from the Fleet API. On "binding" only, from the participant,
65
+ * after both Hellos verified.
66
+ *
67
+ * @generated from field: leaflow.fleet.transport.v1.SignedPeerAuthorization peer_authorization = 6;
68
+ */
69
+ value: SignedPeerAuthorization;
70
+ case: "peerAuthorization";
71
+ } | {
72
+ case: undefined;
73
+ value?: undefined;
74
+ };
75
+ };
76
+ /**
77
+ * Describes the message leaflow.fleet.transport.v1.Packet.
78
+ * Use `create(PacketSchema)` to create a new message.
79
+ */
80
+ export declare const PacketSchema: GenMessage<Packet>;
81
+ /**
82
+ * Each end sends Hello twice: first with its own challenge and an empty
83
+ * response, then, once the peer's Hello arrived, again with response set to
84
+ * the peer's challenge. A Hello that names another PeerConnection, another
85
+ * participant, an unexpected epoch or another PeerAuthorization than the one
86
+ * the receiver holds ends the PeerConnection.
87
+ *
88
+ * @generated from message leaflow.fleet.transport.v1.Hello
89
+ */
90
+ export type Hello = Message<"leaflow.fleet.transport.v1.Hello"> & {
91
+ /**
92
+ * The PeerConnection (Signal.peer_connection_id).
93
+ *
94
+ * @generated from field: bytes peer_connection_id = 1;
95
+ */
96
+ peerConnectionId: Uint8Array;
97
+ /**
98
+ * The participant.
99
+ *
100
+ * @generated from field: uint64 participant_id = 2;
101
+ */
102
+ participantId: bigint;
103
+ /**
104
+ * The epoch of this path, chosen by the participant: 1 for its first
105
+ * PeerConnection, then one more than the committed epoch, since the session
106
+ * may have taken an earlier PeerConnection that the participant did not.
107
+ * The session accepts one more than its committed epoch, or 1 while no path
108
+ * has carried the connection, and greets with the same epoch.
109
+ *
110
+ * @generated from field: uint64 epoch = 3;
111
+ */
112
+ epoch: bigint;
113
+ /**
114
+ * 32 unpredictable bytes.
115
+ *
116
+ * @generated from field: bytes challenge = 4;
117
+ */
118
+ challenge: Uint8Array;
119
+ /**
120
+ * The peer's challenge. Empty in the first Hello.
121
+ *
122
+ * @generated from field: bytes response = 5;
123
+ */
124
+ response: Uint8Array;
125
+ /**
126
+ * SHA-256 of the bytes of the first PeerAuthorization the service signed
127
+ * for this PeerConnection (SignedPeerAuthorization.authorization). Renewed
128
+ * ones do not change it.
129
+ *
130
+ * @generated from field: bytes authorization_sha256 = 6;
131
+ */
132
+ authorizationSha256: Uint8Array;
133
+ /**
134
+ * The Ed25519 public key (RFC 8032) that vouches for the sender's DTLS
135
+ * certificate: the machine key for the Agent, the participant's own key for
136
+ * the participant. The participant refuses an Agent key other than the one
137
+ * it pinned for the machine; the session refuses a participant key other
138
+ * than the one in the participant's authorization.
139
+ *
140
+ * @generated from field: bytes public_key = 7;
141
+ */
142
+ publicKey: Uint8Array;
143
+ /**
144
+ * Ed25519 signature by public_key over the UTF-8 string
145
+ * "leaflow.fleet.transport.v1.Hello", one zero byte, peer_connection_id,
146
+ * participant_id as 8 big-endian bytes, one byte for the role of the
147
+ * sender (1 participant, 2 Agent) and the SHA-256 fingerprint of the
148
+ * sender's own DTLS certificate (RFC 8122).
149
+ *
150
+ * @generated from field: bytes dtls_attestation = 8;
151
+ */
152
+ dtlsAttestation: Uint8Array;
153
+ /**
154
+ * The largest message, in bytes, the sender accepts in the byte stream of
155
+ * one channel.
156
+ *
157
+ * @generated from field: uint32 max_message_size = 9;
158
+ */
159
+ maxMessageSize: number;
160
+ /**
161
+ * The credit, in bytes of channel data, the sender grants each new channel
162
+ * toward itself unless ChannelOpen or ChannelOpenConfirmation state another.
163
+ *
164
+ * @generated from field: uint64 initial_max_data = 10;
165
+ */
166
+ initialMaxData: bigint;
167
+ /**
168
+ * The largest Datagram.data, in bytes, the sender accepts. 0: none.
169
+ *
170
+ * @generated from field: uint32 max_datagram_size = 11;
171
+ */
172
+ maxDatagramSize: number;
173
+ /**
174
+ * 16 bytes that identify the process instance holding this end of the
175
+ * connection. It stays the same across migrations; a migration that reaches
176
+ * another instance ends the connection.
177
+ *
178
+ * @generated from field: bytes instance_id = 12;
179
+ */
180
+ instanceId: Uint8Array;
181
+ };
182
+ /**
183
+ * Describes the message leaflow.fleet.transport.v1.Hello.
184
+ * Use `create(HelloSchema)` to create a new message.
185
+ */
186
+ export declare const HelloSchema: GenMessage<Hello>;
187
+ /**
188
+ * One step of a logical channel. The sender numbers the envelopes of each
189
+ * channel from 1 and keeps those not yet admitted, so that it can send them
190
+ * again on the next path.
191
+ *
192
+ * @generated from message leaflow.fleet.transport.v1.Envelope
193
+ */
194
+ export type Envelope = Message<"leaflow.fleet.transport.v1.Envelope"> & {
195
+ /**
196
+ * The logical channel.
197
+ *
198
+ * @generated from field: uint64 channel_id = 1;
199
+ */
200
+ channelId: bigint;
201
+ /**
202
+ * 1 for the first envelope of the channel, then one more each time.
203
+ *
204
+ * @generated from field: uint64 sequence = 2;
205
+ */
206
+ sequence: bigint;
207
+ /**
208
+ * The epoch in which the envelope was first sent. A channel type that
209
+ * cannot resume, such as a video frame, discards envelopes whose origin
210
+ * epoch is older than the current one.
211
+ *
212
+ * @generated from field: uint64 origin_epoch = 3;
213
+ */
214
+ originEpoch: bigint;
215
+ /**
216
+ * The step.
217
+ *
218
+ * @generated from oneof leaflow.fleet.transport.v1.Envelope.body
219
+ */
220
+ body: {
221
+ /**
222
+ * Opens the channel. Always the first envelope.
223
+ *
224
+ * @generated from field: leaflow.fleet.transport.v1.ChannelOpen open = 4;
225
+ */
226
+ value: ChannelOpen;
227
+ case: "open";
228
+ } | {
229
+ /**
230
+ * Accepts the channel.
231
+ *
232
+ * @generated from field: leaflow.fleet.transport.v1.ChannelOpenConfirmation open_confirmation = 5;
233
+ */
234
+ value: ChannelOpenConfirmation;
235
+ case: "openConfirmation";
236
+ } | {
237
+ /**
238
+ * Refuses the channel.
239
+ *
240
+ * @generated from field: leaflow.fleet.transport.v1.ChannelOpenFailure open_failure = 6;
241
+ */
242
+ value: ChannelOpenFailure;
243
+ case: "openFailure";
244
+ } | {
245
+ /**
246
+ * The next bytes of the channel's stream. They count against the credit.
247
+ *
248
+ * @generated from field: bytes data = 7;
249
+ */
250
+ value: Uint8Array;
251
+ case: "data";
252
+ } | {
253
+ /**
254
+ * Raises the peer's credit (RFC 9000 §19.10 MAX_STREAM_DATA): the total
255
+ * bytes of data the peer may send on the channel. A value not larger than
256
+ * the current credit is ignored.
257
+ *
258
+ * @generated from field: uint64 max_data = 8;
259
+ */
260
+ value: bigint;
261
+ case: "maxData";
262
+ } | {
263
+ /**
264
+ * Closes the channel.
265
+ *
266
+ * @generated from field: leaflow.fleet.transport.v1.ChannelClose close = 9;
267
+ */
268
+ value: ChannelClose;
269
+ case: "close";
270
+ } | {
271
+ case: undefined;
272
+ value?: undefined;
273
+ };
274
+ };
275
+ /**
276
+ * Describes the message leaflow.fleet.transport.v1.Envelope.
277
+ * Use `create(EnvelopeSchema)` to create a new message.
278
+ */
279
+ export declare const EnvelopeSchema: GenMessage<Envelope>;
280
+ /**
281
+ * Opens a logical channel (RFC 4254 §5.1). The opener may send data at once,
282
+ * within the receiver's initial_max_data.
283
+ *
284
+ * @generated from message leaflow.fleet.transport.v1.ChannelOpen
285
+ */
286
+ export type ChannelOpen = Message<"leaflow.fleet.transport.v1.ChannelOpen"> & {
287
+ /**
288
+ * What the channel carries. One of:
289
+ * - the full name of a package, such as "leaflow.fleet.terminal.v1";
290
+ * - a package name and a channel role that package defines, such as
291
+ * "leaflow.fleet.filetransfer.v1.content";
292
+ * - the full name of a service, such as
293
+ * "leaflow.fleet.filetransfer.v1.FileSystemService"; the channel then
294
+ * carries leaflow.fleet.rpc.v1 messages and its opener calls.
295
+ *
296
+ * @generated from field: string channel_type = 1;
297
+ */
298
+ channelType: string;
299
+ /**
300
+ * The credit the opener grants the receiver on this channel. 0: the
301
+ * opener's initial_max_data.
302
+ *
303
+ * @generated from field: uint64 max_data = 2;
304
+ */
305
+ maxData: bigint;
306
+ };
307
+ /**
308
+ * Describes the message leaflow.fleet.transport.v1.ChannelOpen.
309
+ * Use `create(ChannelOpenSchema)` to create a new message.
310
+ */
311
+ export declare const ChannelOpenSchema: GenMessage<ChannelOpen>;
312
+ /**
313
+ * Accepts a channel. Optional: the opener also counts the channel as accepted
314
+ * on the receiver's first envelope.
315
+ *
316
+ * @generated from message leaflow.fleet.transport.v1.ChannelOpenConfirmation
317
+ */
318
+ export type ChannelOpenConfirmation = Message<"leaflow.fleet.transport.v1.ChannelOpenConfirmation"> & {
319
+ /**
320
+ * The credit the receiver grants the opener. 0: the receiver's
321
+ * initial_max_data.
322
+ *
323
+ * @generated from field: uint64 max_data = 1;
324
+ */
325
+ maxData: bigint;
326
+ };
327
+ /**
328
+ * Describes the message leaflow.fleet.transport.v1.ChannelOpenConfirmation.
329
+ * Use `create(ChannelOpenConfirmationSchema)` to create a new message.
330
+ */
331
+ export declare const ChannelOpenConfirmationSchema: GenMessage<ChannelOpenConfirmation>;
332
+ /**
333
+ * Refuses a channel (RFC 4254 §5.1). Data already received on it is
334
+ * discarded.
335
+ *
336
+ * @generated from message leaflow.fleet.transport.v1.ChannelOpenFailure
337
+ */
338
+ export type ChannelOpenFailure = Message<"leaflow.fleet.transport.v1.ChannelOpenFailure"> & {
339
+ /**
340
+ * Why the channel was refused.
341
+ *
342
+ * @generated from field: leaflow.fleet.transport.v1.ChannelOpenFailureReason reason = 1;
343
+ */
344
+ reason: ChannelOpenFailureReason;
345
+ /**
346
+ * Plain text for logs, at most 1024 bytes.
347
+ *
348
+ * @generated from field: string description = 2;
349
+ */
350
+ description: string;
351
+ };
352
+ /**
353
+ * Describes the message leaflow.fleet.transport.v1.ChannelOpenFailure.
354
+ * Use `create(ChannelOpenFailureSchema)` to create a new message.
355
+ */
356
+ export declare const ChannelOpenFailureSchema: GenMessage<ChannelOpenFailure>;
357
+ /**
358
+ * Closes a channel. Each end sends one, and the channel is gone once both
359
+ * have (RFC 4254 §5.3). The sender sends nothing more on it. A receiver that
360
+ * sends it with CANCELLED asks the sender to stop (RFC 9000 §19.5
361
+ * STOP_SENDING).
362
+ *
363
+ * @generated from message leaflow.fleet.transport.v1.ChannelClose
364
+ */
365
+ export type ChannelClose = Message<"leaflow.fleet.transport.v1.ChannelClose"> & {
366
+ /**
367
+ * NO_ERROR for an orderly close.
368
+ *
369
+ * @generated from field: leaflow.fleet.transport.v1.ChannelErrorCode error_code = 1;
370
+ */
371
+ errorCode: ChannelErrorCode;
372
+ };
373
+ /**
374
+ * Describes the message leaflow.fleet.transport.v1.ChannelClose.
375
+ * Use `create(ChannelCloseSchema)` to create a new message.
376
+ */
377
+ export declare const ChannelCloseSchema: GenMessage<ChannelClose>;
378
+ /**
379
+ * One message of a channel that does not need reliable delivery, such as an
380
+ * audio packet: the channel's message itself, without a length prefix.
381
+ *
382
+ * @generated from message leaflow.fleet.transport.v1.Datagram
383
+ */
384
+ export type Datagram = Message<"leaflow.fleet.transport.v1.Datagram"> & {
385
+ /**
386
+ * The channel the message belongs to.
387
+ *
388
+ * @generated from field: uint64 channel_id = 1;
389
+ */
390
+ channelId: bigint;
391
+ /**
392
+ * The message, at most the receiver's max_datagram_size bytes.
393
+ *
394
+ * @generated from field: bytes data = 2;
395
+ */
396
+ data: Uint8Array;
397
+ };
398
+ /**
399
+ * Describes the message leaflow.fleet.transport.v1.Datagram.
400
+ * Use `create(DatagramSchema)` to create a new message.
401
+ */
402
+ export declare const DatagramSchema: GenMessage<Datagram>;
403
+ /**
404
+ * What one end has admitted on a connection, and the channels both ends have
405
+ * finished with. As a receipt it lets the peer drop what it kept for sending
406
+ * again; in a Migration it fixes the state the new path starts from.
407
+ * Admission means the envelope reached the receiving process, not that its
408
+ * effect happened.
409
+ *
410
+ * @generated from message leaflow.fleet.transport.v1.Checkpoint
411
+ */
412
+ export type Checkpoint = Message<"leaflow.fleet.transport.v1.Checkpoint"> & {
413
+ /**
414
+ * The epoch the checkpoint belongs to.
415
+ *
416
+ * @generated from field: uint64 epoch = 1;
417
+ */
418
+ epoch: bigint;
419
+ /**
420
+ * Hello.instance_id of the end that took it.
421
+ *
422
+ * @generated from field: bytes instance_id = 2;
423
+ */
424
+ instanceId: Uint8Array;
425
+ /**
426
+ * The last admitted envelope of every live channel, at most 4096.
427
+ *
428
+ * @generated from field: repeated leaflow.fleet.transport.v1.ChannelCursor cursors = 3;
429
+ */
430
+ cursors: ChannelCursor[];
431
+ /**
432
+ * Channels both ends have closed, compacted into ranges. Envelopes of these
433
+ * channels are dropped.
434
+ *
435
+ * @generated from field: repeated leaflow.fleet.transport.v1.RetiredRange retired_ranges = 4;
436
+ */
437
+ retiredRanges: RetiredRange[];
438
+ };
439
+ /**
440
+ * Describes the message leaflow.fleet.transport.v1.Checkpoint.
441
+ * Use `create(CheckpointSchema)` to create a new message.
442
+ */
443
+ export declare const CheckpointSchema: GenMessage<Checkpoint>;
444
+ /**
445
+ * The last envelope admitted on a channel.
446
+ *
447
+ * @generated from message leaflow.fleet.transport.v1.ChannelCursor
448
+ */
449
+ export type ChannelCursor = Message<"leaflow.fleet.transport.v1.ChannelCursor"> & {
450
+ /**
451
+ * The channel.
452
+ *
453
+ * @generated from field: uint64 channel_id = 1;
454
+ */
455
+ channelId: bigint;
456
+ /**
457
+ * Envelope.sequence of the last admitted envelope.
458
+ *
459
+ * @generated from field: uint64 sequence = 2;
460
+ */
461
+ sequence: bigint;
462
+ };
463
+ /**
464
+ * Describes the message leaflow.fleet.transport.v1.ChannelCursor.
465
+ * Use `create(ChannelCursorSchema)` to create a new message.
466
+ */
467
+ export declare const ChannelCursorSchema: GenMessage<ChannelCursor>;
468
+ /**
469
+ * The channel ids from first_channel_id to last_channel_id, both included and
470
+ * of the same opener.
471
+ *
472
+ * @generated from message leaflow.fleet.transport.v1.RetiredRange
473
+ */
474
+ export type RetiredRange = Message<"leaflow.fleet.transport.v1.RetiredRange"> & {
475
+ /**
476
+ * The first id.
477
+ *
478
+ * @generated from field: uint64 first_channel_id = 1;
479
+ */
480
+ firstChannelId: bigint;
481
+ /**
482
+ * The last id.
483
+ *
484
+ * @generated from field: uint64 last_channel_id = 2;
485
+ */
486
+ lastChannelId: bigint;
487
+ };
488
+ /**
489
+ * Describes the message leaflow.fleet.transport.v1.RetiredRange.
490
+ * Use `create(RetiredRangeSchema)` to create a new message.
491
+ */
492
+ export declare const RetiredRangeSchema: GenMessage<RetiredRange>;
493
+ /**
494
+ * A two-phase migration of a connection to a new path; RFC 9000 §9 calls the
495
+ * same move connection migration. It does not depend on the failed path: the
496
+ * participant sends its steps through the Fleet API and receives the
497
+ * session's in the answers, and the session sends its own on its control
498
+ * connection. The participant coordinates: it sends prepare, the session
499
+ * answers prepared, the participant sends commit and the session answers
500
+ * committed. Both ends stop admitting envelopes of the old epoch at prepare. A
501
+ * repeated step is answered again and never applied twice. Only the
502
+ * participant starts a migration: when the session's side of the path fails,
503
+ * the participant's side fails too.
504
+ *
505
+ * @generated from message leaflow.fleet.transport.v1.Migration
506
+ */
507
+ export type Migration = Message<"leaflow.fleet.transport.v1.Migration"> & {
508
+ /**
509
+ * The participant.
510
+ *
511
+ * @generated from field: uint64 participant_id = 1;
512
+ */
513
+ participantId: bigint;
514
+ /**
515
+ * The step.
516
+ *
517
+ * @generated from oneof leaflow.fleet.transport.v1.Migration.step
518
+ */
519
+ step: {
520
+ /**
521
+ * The participant's checkpoint for the next epoch.
522
+ *
523
+ * @generated from field: leaflow.fleet.transport.v1.Checkpoint prepare = 2;
524
+ */
525
+ value: Checkpoint;
526
+ case: "prepare";
527
+ } | {
528
+ /**
529
+ * The session's checkpoint for the same epoch.
530
+ *
531
+ * @generated from field: leaflow.fleet.transport.v1.Checkpoint prepared = 3;
532
+ */
533
+ value: Checkpoint;
534
+ case: "prepared";
535
+ } | {
536
+ /**
537
+ * The participant commits the epoch.
538
+ *
539
+ * @generated from field: leaflow.fleet.transport.v1.Checkpoint commit = 4;
540
+ */
541
+ value: Checkpoint;
542
+ case: "commit";
543
+ } | {
544
+ /**
545
+ * The session committed it.
546
+ *
547
+ * @generated from field: leaflow.fleet.transport.v1.Checkpoint committed = 5;
548
+ */
549
+ value: Checkpoint;
550
+ case: "committed";
551
+ } | {
552
+ case: undefined;
553
+ value?: undefined;
554
+ };
555
+ };
556
+ /**
557
+ * Describes the message leaflow.fleet.transport.v1.Migration.
558
+ * Use `create(MigrationSchema)` to create a new message.
559
+ */
560
+ export declare const MigrationSchema: GenMessage<Migration>;
561
+ /**
562
+ * Why the sender closes the PeerConnection.
563
+ *
564
+ * @generated from message leaflow.fleet.transport.v1.Close
565
+ */
566
+ export type Close = Message<"leaflow.fleet.transport.v1.Close"> & {
567
+ /**
568
+ * The reason. Its details may carry a google.rpc.ErrorInfo.
569
+ *
570
+ * @generated from field: google.rpc.Status status = 1;
571
+ */
572
+ status?: Status | undefined;
573
+ };
574
+ /**
575
+ * Describes the message leaflow.fleet.transport.v1.Close.
576
+ * Use `create(CloseSchema)` to create a new message.
577
+ */
578
+ export declare const CloseSchema: GenMessage<Close>;
579
+ /**
580
+ * Signaling for one PeerConnection (RFC 9429 JSEP; RFC 8838 trickle ICE)
581
+ * between the session process and the service, which stands for the
582
+ * participant: the participant sends its offer, its candidates and the end of
583
+ * a PeerConnection through the Fleet API, and receives the session's answer,
584
+ * candidates and the PeerAuthorization in the answer of its request. The
585
+ * service passes on the session's candidates that arrive until the session
586
+ * sends end_of_candidates, and at most 10 seconds after the answer; the
587
+ * session therefore sends end_of_candidates as soon as it gathered, and the
588
+ * participant's request waits no longer than that.
589
+ *
590
+ * The offer is the first signal of a PeerConnection: the service sends it
591
+ * before any other signal of that PeerConnection. The participant's later
592
+ * candidates, its end of candidates and the abort come from separate requests
593
+ * and may reach the session in any order; a candidate or an end of candidates
594
+ * of a PeerConnection that has ended is ignored.
595
+ *
596
+ * @generated from message leaflow.fleet.transport.v1.Signal
597
+ */
598
+ export type Signal = Message<"leaflow.fleet.transport.v1.Signal"> & {
599
+ /**
600
+ * 16 random bytes the service chose for the PeerConnection: the id of the
601
+ * PeerConnection in the Fleet API, a UUID.
602
+ *
603
+ * @generated from field: bytes peer_connection_id = 1;
604
+ */
605
+ peerConnectionId: Uint8Array;
606
+ /**
607
+ * The participant.
608
+ *
609
+ * @generated from field: uint64 participant_id = 2;
610
+ */
611
+ participantId: bigint;
612
+ /**
613
+ * The ICE servers and policy for the session's end of the PeerConnection.
614
+ * Set by the service on the offer.
615
+ *
616
+ * @generated from field: leaflow.fleet.transport.v1.RtcConfiguration configuration = 4;
617
+ */
618
+ configuration?: RtcConfiguration | undefined;
619
+ /**
620
+ * The signal.
621
+ *
622
+ * @generated from oneof leaflow.fleet.transport.v1.Signal.signal
623
+ */
624
+ signal: {
625
+ /**
626
+ * An offer from the participant or an answer from the session.
627
+ *
628
+ * @generated from field: leaflow.fleet.transport.v1.SessionDescription description = 5;
629
+ */
630
+ value: SessionDescription;
631
+ case: "description";
632
+ } | {
633
+ /**
634
+ * A trickled ICE candidate.
635
+ *
636
+ * @generated from field: leaflow.fleet.transport.v1.IceCandidate candidate = 6;
637
+ */
638
+ value: IceCandidate;
639
+ case: "candidate";
640
+ } | {
641
+ /**
642
+ * No more candidates from the sender (RFC 8838).
643
+ *
644
+ * @generated from field: bool end_of_candidates = 7;
645
+ */
646
+ value: boolean;
647
+ case: "endOfCandidates";
648
+ } | {
649
+ /**
650
+ * The sender gave up the PeerConnection: the participant ended it through
651
+ * the Fleet API, or the session could not take it. The participant starts
652
+ * another one.
653
+ *
654
+ * @generated from field: bool abort = 8;
655
+ */
656
+ value: boolean;
657
+ case: "abort";
658
+ } | {
659
+ /**
660
+ * The service's authorization of the PeerConnection, sent to the session
661
+ * this way and to the participant with the answer, before either may send
662
+ * application data. Renewed ones reach the session this way too, and the
663
+ * participant in the answer of its renewal through the Fleet API.
664
+ *
665
+ * @generated from field: leaflow.fleet.transport.v1.SignedPeerAuthorization authorization = 9;
666
+ */
667
+ value: SignedPeerAuthorization;
668
+ case: "authorization";
669
+ } | {
670
+ case: undefined;
671
+ value?: undefined;
672
+ };
673
+ };
674
+ /**
675
+ * Describes the message leaflow.fleet.transport.v1.Signal.
676
+ * Use `create(SignalSchema)` to create a new message.
677
+ */
678
+ export declare const SignalSchema: GenMessage<Signal>;
679
+ /**
680
+ * An SDP offer or answer (RFC 8866), as in W3C RTCSessionDescriptionInit.
681
+ *
682
+ * @generated from message leaflow.fleet.transport.v1.SessionDescription
683
+ */
684
+ export type SessionDescription = Message<"leaflow.fleet.transport.v1.SessionDescription"> & {
685
+ /**
686
+ * Offer or answer.
687
+ *
688
+ * @generated from field: leaflow.fleet.transport.v1.SdpType type = 1;
689
+ */
690
+ type: SdpType;
691
+ /**
692
+ * The SDP, at most 65536 bytes. It contains ICE credentials and is never
693
+ * logged.
694
+ *
695
+ * @generated from field: string sdp = 2;
696
+ */
697
+ sdp: string;
698
+ };
699
+ /**
700
+ * Describes the message leaflow.fleet.transport.v1.SessionDescription.
701
+ * Use `create(SessionDescriptionSchema)` to create a new message.
702
+ */
703
+ export declare const SessionDescriptionSchema: GenMessage<SessionDescription>;
704
+ /**
705
+ * An ICE candidate (RFC 8445), as in W3C RTCIceCandidateInit.
706
+ *
707
+ * @generated from message leaflow.fleet.transport.v1.IceCandidate
708
+ */
709
+ export type IceCandidate = Message<"leaflow.fleet.transport.v1.IceCandidate"> & {
710
+ /**
711
+ * The candidate attribute, at most 4096 bytes. At most 64 per end and
712
+ * PeerConnection.
713
+ *
714
+ * @generated from field: string candidate = 1;
715
+ */
716
+ candidate: string;
717
+ /**
718
+ * The media stream identification tag of the candidate (RFC 5888).
719
+ *
720
+ * @generated from field: string sdp_mid = 2;
721
+ */
722
+ sdpMid: string;
723
+ };
724
+ /**
725
+ * Describes the message leaflow.fleet.transport.v1.IceCandidate.
726
+ * Use `create(IceCandidateSchema)` to create a new message.
727
+ */
728
+ export declare const IceCandidateSchema: GenMessage<IceCandidate>;
729
+ /**
730
+ * The ICE servers a PeerConnection may use, as in W3C RTCConfiguration.
731
+ *
732
+ * @generated from message leaflow.fleet.transport.v1.RtcConfiguration
733
+ */
734
+ export type RtcConfiguration = Message<"leaflow.fleet.transport.v1.RtcConfiguration"> & {
735
+ /**
736
+ * At most 8.
737
+ *
738
+ * @generated from field: repeated leaflow.fleet.transport.v1.IceServer ice_servers = 1;
739
+ */
740
+ iceServers: IceServer[];
741
+ /**
742
+ * Which candidates ICE may use.
743
+ *
744
+ * @generated from field: leaflow.fleet.transport.v1.IceTransportPolicy ice_transport_policy = 2;
745
+ */
746
+ iceTransportPolicy: IceTransportPolicy;
747
+ /**
748
+ * After this time no PeerConnection starts with these servers. The TURN
749
+ * credentials themselves last longer, so a relayed path outlives it.
750
+ *
751
+ * @generated from field: google.protobuf.Timestamp expires_at = 3;
752
+ */
753
+ expiresAt?: Timestamp | undefined;
754
+ };
755
+ /**
756
+ * Describes the message leaflow.fleet.transport.v1.RtcConfiguration.
757
+ * Use `create(RtcConfigurationSchema)` to create a new message.
758
+ */
759
+ export declare const RtcConfigurationSchema: GenMessage<RtcConfiguration>;
760
+ /**
761
+ * A STUN or TURN server (RFC 8489, RFC 8656), as in W3C RTCIceServer.
762
+ *
763
+ * @generated from message leaflow.fleet.transport.v1.IceServer
764
+ */
765
+ export type IceServer = Message<"leaflow.fleet.transport.v1.IceServer"> & {
766
+ /**
767
+ * stun:, turn: or turns: URIs (RFC 7064, RFC 7065).
768
+ *
769
+ * @generated from field: repeated string urls = 1;
770
+ */
771
+ urls: string[];
772
+ /**
773
+ * The TURN username. Empty for STUN.
774
+ *
775
+ * @generated from field: string username = 2;
776
+ */
777
+ username: string;
778
+ /**
779
+ * The TURN password. Empty for STUN. Never logged.
780
+ *
781
+ * @generated from field: string credential = 3;
782
+ */
783
+ credential: string;
784
+ };
785
+ /**
786
+ * Describes the message leaflow.fleet.transport.v1.IceServer.
787
+ * Use `create(IceServerSchema)` to create a new message.
788
+ */
789
+ export declare const IceServerSchema: GenMessage<IceServer>;
790
+ /**
791
+ * A PeerAuthorization signed by the service.
792
+ *
793
+ * @generated from message leaflow.fleet.transport.v1.SignedPeerAuthorization
794
+ */
795
+ export type SignedPeerAuthorization = Message<"leaflow.fleet.transport.v1.SignedPeerAuthorization"> & {
796
+ /**
797
+ * The signing key that signed it.
798
+ *
799
+ * @generated from field: string key_id = 1;
800
+ */
801
+ keyId: string;
802
+ /**
803
+ * A serialized PeerAuthorization.
804
+ *
805
+ * @generated from field: bytes authorization = 2;
806
+ */
807
+ authorization: Uint8Array;
808
+ /**
809
+ * Ed25519 signature over the UTF-8 string
810
+ * "leaflow.fleet.transport.v1.PeerAuthorization", one zero byte
811
+ * and authorization.
812
+ *
813
+ * @generated from field: bytes signature = 3;
814
+ */
815
+ signature: Uint8Array;
816
+ };
817
+ /**
818
+ * Describes the message leaflow.fleet.transport.v1.SignedPeerAuthorization.
819
+ * Use `create(SignedPeerAuthorizationSchema)` to create a new message.
820
+ */
821
+ export declare const SignedPeerAuthorizationSchema: GenMessage<SignedPeerAuthorization>;
822
+ /**
823
+ * The service's statement that one PeerConnection joins this participant to
824
+ * this session with these two DTLS certificates. Both ends check the signature,
825
+ * every field and the lifetime before sending application data; DTLS alone does
826
+ * not authorize.
827
+ *
828
+ * @generated from message leaflow.fleet.transport.v1.PeerAuthorization
829
+ */
830
+ export type PeerAuthorization = Message<"leaflow.fleet.transport.v1.PeerAuthorization"> & {
831
+ /**
832
+ * The HTTPS origin of the service that signed it.
833
+ *
834
+ * @generated from field: string issuer = 1;
835
+ */
836
+ issuer: string;
837
+ /**
838
+ * The machine of the session.
839
+ *
840
+ * @generated from field: string machine_id = 2;
841
+ */
842
+ machineId: string;
843
+ /**
844
+ * The session.
845
+ *
846
+ * @generated from field: string session_id = 3;
847
+ */
848
+ sessionId: string;
849
+ /**
850
+ * The participant.
851
+ *
852
+ * @generated from field: uint64 participant_id = 4;
853
+ */
854
+ participantId: bigint;
855
+ /**
856
+ * The PeerConnection.
857
+ *
858
+ * @generated from field: bytes peer_connection_id = 5;
859
+ */
860
+ peerConnectionId: Uint8Array;
861
+ /**
862
+ * SHA-256 fingerprint of the participant's DTLS certificate, from its offer.
863
+ *
864
+ * @generated from field: bytes participant_fingerprint_sha256 = 6;
865
+ */
866
+ participantFingerprintSha256: Uint8Array;
867
+ /**
868
+ * SHA-256 fingerprint of the Agent's DTLS certificate, from its answer.
869
+ *
870
+ * @generated from field: bytes agent_fingerprint_sha256 = 7;
871
+ */
872
+ agentFingerprintSha256: Uint8Array;
873
+ /**
874
+ * SHA-256 of the participant's authorization that both ends hold: the exact
875
+ * serialized bytes the service signed. A renewal
876
+ * names the participant's current authorization, which may be a renewed one
877
+ * through the Fleet API.
878
+ *
879
+ * @generated from field: bytes participant_authorization_sha256 = 8;
880
+ */
881
+ participantAuthorizationSha256: Uint8Array;
882
+ /**
883
+ * When the service signed it.
884
+ *
885
+ * @generated from field: google.protobuf.Timestamp issued_at = 9;
886
+ */
887
+ issuedAt?: Timestamp | undefined;
888
+ /**
889
+ * The end of the PeerConnection's authorization: the end of the
890
+ * participant's current authorization.
891
+ *
892
+ * @generated from field: google.protobuf.Timestamp expires_at = 10;
893
+ */
894
+ expiresAt?: Timestamp | undefined;
895
+ /**
896
+ * The end of the current lease, at most 30 seconds after issued_at and no
897
+ * later than expires_at. The participant renews it through the Fleet API with
898
+ * the PeerAuthorization it holds, and passes each renewed one to the session
899
+ * on "binding" (Packet.peer_authorization); the service also sends it on the
900
+ * session's control connection, so that either path keeps the lease while
901
+ * the other is down. The session takes whichever arrives first and ignores
902
+ * one whose lease does not end later than the one it holds. It takes one
903
+ * that the service signed with a key of its SigningKeys, that names the
904
+ * same PeerConnection, participant, fingerprints and session, and whose
905
+ * participant_authorization_sha256 names the participant's authorization it
906
+ * holds or, while that one has not expired, the authorization it replaced.
907
+ * Each end stops sending application data when the lease runs out, and goes
908
+ * on once it holds a later one.
909
+ *
910
+ * @generated from field: google.protobuf.Timestamp lease_expires_at = 11;
911
+ */
912
+ leaseExpiresAt?: Timestamp | undefined;
913
+ };
914
+ /**
915
+ * Describes the message leaflow.fleet.transport.v1.PeerAuthorization.
916
+ * Use `create(PeerAuthorizationSchema)` to create a new message.
917
+ */
918
+ export declare const PeerAuthorizationSchema: GenMessage<PeerAuthorization>;
919
+ /**
920
+ * Why a channel was refused. Values follow RFC 4254 §5.1.
921
+ *
922
+ * @generated from enum leaflow.fleet.transport.v1.ChannelOpenFailureReason
923
+ */
924
+ export declare enum ChannelOpenFailureReason {
925
+ /**
926
+ * @generated from enum value: CHANNEL_OPEN_FAILURE_REASON_UNSPECIFIED = 0;
927
+ */
928
+ UNSPECIFIED = 0,
929
+ /**
930
+ * The participant's authorization or the session's policy does not allow it,
931
+ * or the channel type allows one channel and one is open.
932
+ *
933
+ * @generated from enum value: CHANNEL_OPEN_FAILURE_REASON_ADMINISTRATIVELY_PROHIBITED = 1;
934
+ */
935
+ ADMINISTRATIVELY_PROHIBITED = 1,
936
+ /**
937
+ * What the channel leads to cannot be reached, such as a TCP endpoint.
938
+ *
939
+ * @generated from enum value: CHANNEL_OPEN_FAILURE_REASON_CONNECT_FAILED = 2;
940
+ */
941
+ CONNECT_FAILED = 2,
942
+ /**
943
+ * The receiver does not know the channel type.
944
+ *
945
+ * @generated from enum value: CHANNEL_OPEN_FAILURE_REASON_UNKNOWN_CHANNEL_TYPE = 3;
946
+ */
947
+ UNKNOWN_CHANNEL_TYPE = 3,
948
+ /**
949
+ * Too many channels, or no memory.
950
+ *
951
+ * @generated from enum value: CHANNEL_OPEN_FAILURE_REASON_RESOURCE_SHORTAGE = 4;
952
+ */
953
+ RESOURCE_SHORTAGE = 4
954
+ }
955
+ /**
956
+ * Describes the enum leaflow.fleet.transport.v1.ChannelOpenFailureReason.
957
+ */
958
+ export declare const ChannelOpenFailureReasonSchema: GenEnum<ChannelOpenFailureReason>;
959
+ /**
960
+ * Why a channel was closed. Values follow RFC 9000 §20.1.
961
+ *
962
+ * @generated from enum leaflow.fleet.transport.v1.ChannelErrorCode
963
+ */
964
+ export declare enum ChannelErrorCode {
965
+ /**
966
+ * @generated from enum value: CHANNEL_ERROR_CODE_UNSPECIFIED = 0;
967
+ */
968
+ UNSPECIFIED = 0,
969
+ /**
970
+ * An orderly close.
971
+ *
972
+ * @generated from enum value: CHANNEL_ERROR_CODE_NO_ERROR = 1;
973
+ */
974
+ NO_ERROR = 1,
975
+ /**
976
+ * The channel is no longer wanted, such as a frame overtaken by a newer
977
+ * one. An incomplete message of the channel is discarded.
978
+ *
979
+ * @generated from enum value: CHANNEL_ERROR_CODE_CANCELLED = 2;
980
+ */
981
+ CANCELLED = 2,
982
+ /**
983
+ * The peer sent more than its credit allowed.
984
+ *
985
+ * @generated from enum value: CHANNEL_ERROR_CODE_FLOW_CONTROL_ERROR = 3;
986
+ */
987
+ FLOW_CONTROL_ERROR = 3,
988
+ /**
989
+ * The channel carried a malformed or unexpected message, or one larger than
990
+ * max_message_size.
991
+ *
992
+ * @generated from enum value: CHANNEL_ERROR_CODE_PROTOCOL_VIOLATION = 4;
993
+ */
994
+ PROTOCOL_VIOLATION = 4,
995
+ /**
996
+ * The sender failed.
997
+ *
998
+ * @generated from enum value: CHANNEL_ERROR_CODE_INTERNAL_ERROR = 5;
999
+ */
1000
+ INTERNAL_ERROR = 5
1001
+ }
1002
+ /**
1003
+ * Describes the enum leaflow.fleet.transport.v1.ChannelErrorCode.
1004
+ */
1005
+ export declare const ChannelErrorCodeSchema: GenEnum<ChannelErrorCode>;
1006
+ /**
1007
+ * The type of a SessionDescription (W3C RTCSdpType).
1008
+ *
1009
+ * @generated from enum leaflow.fleet.transport.v1.SdpType
1010
+ */
1011
+ export declare enum SdpType {
1012
+ /**
1013
+ * @generated from enum value: SDP_TYPE_UNSPECIFIED = 0;
1014
+ */
1015
+ UNSPECIFIED = 0,
1016
+ /**
1017
+ * @generated from enum value: SDP_TYPE_OFFER = 1;
1018
+ */
1019
+ OFFER = 1,
1020
+ /**
1021
+ * @generated from enum value: SDP_TYPE_ANSWER = 2;
1022
+ */
1023
+ ANSWER = 2
1024
+ }
1025
+ /**
1026
+ * Describes the enum leaflow.fleet.transport.v1.SdpType.
1027
+ */
1028
+ export declare const SdpTypeSchema: GenEnum<SdpType>;
1029
+ /**
1030
+ * Which ICE candidates may be used (W3C RTCIceTransportPolicy).
1031
+ *
1032
+ * @generated from enum leaflow.fleet.transport.v1.IceTransportPolicy
1033
+ */
1034
+ export declare enum IceTransportPolicy {
1035
+ /**
1036
+ * @generated from enum value: ICE_TRANSPORT_POLICY_UNSPECIFIED = 0;
1037
+ */
1038
+ UNSPECIFIED = 0,
1039
+ /**
1040
+ * All candidates.
1041
+ *
1042
+ * @generated from enum value: ICE_TRANSPORT_POLICY_ALL = 1;
1043
+ */
1044
+ ALL = 1,
1045
+ /**
1046
+ * Only TURN relay candidates.
1047
+ *
1048
+ * @generated from enum value: ICE_TRANSPORT_POLICY_RELAY = 2;
1049
+ */
1050
+ RELAY = 2
1051
+ }
1052
+ /**
1053
+ * Describes the enum leaflow.fleet.transport.v1.IceTransportPolicy.
1054
+ */
1055
+ export declare const IceTransportPolicySchema: GenEnum<IceTransportPolicy>;